Skip to content
Back to top
View this page

# MoreComments

class praw.models.MoreComments(reddit: praw.Reddit, _data: Dict[str, Any])

  A class indicating there are more comments.

  __init__(reddit: praw.Reddit, _data: Dict[str, Any])

    Initialize a `MoreComments` instance.

  comments(*, update: bool = True) → List[praw.models.Comment]

    Fetch and return the comments for a single `MoreComments` object.

  classmethod parse(data: Dict[str, Any], reddit: praw.Reddit) → Any

    Return an instance of `cls` from `data`.

    Parameters:

      - data – The structured data.

      - reddit – An instance of `Reddit`.